#!/bin/bash -x
#
#PJM --rsc-list "node=4"
#PJM --rsc-list "elapse=00:10:00"
#PJM --stg-transfiles all
#PJM --stgin "./test_c_seq ./"
#PJM --stgin "./test_cpp_seq ./"
#PJM --stgin "./test_f90_seq ./"
#PJM --stgin "./test_c_vec ./"
#PJM --stgin "./test_cpp_vec ./"
#PJM --stgin "./test_f90_vec ./"
#PJM --stgin "../../tool/jump/* ./jump/"
#PJM --stgout "./out_* ./"
#PJM -s
#
. /work/system/Env_base

export KMATH_RAND_JUMP_FILE_PATH=./jump

mpiexec -n 4 ./test_c_seq
mpiexec -n 4 ./test_cpp_seq
mpiexec -n 4 ./test_f90_seq
mpiexec -n 4 ./test_c_vec
mpiexec -n 4 ./test_cpp_vec
mpiexec -n 4 ./test_f90_vec
