#!/bin/bash -x
#
#PJM --rsc-list "node=4"
#PJM --rsc-list "elapse=00:10:00"
#PJM --stg-transfiles all
#PJM --stgin "./test_c_io ./"
#PJM --stgin "./test_cpp_io ./"
#PJM --stgin "./test_f90_io ./"
#PJM --stgin "../../tool/jump/* ./jump/"
#PJM --stgout "./out_* ./"
#PJM --stgout "./data_* ./"
#PJM -s
#
. /work/system/Env_base

export KMATH_RAND_JUMP_FILE_PATH=./jump

mpiexec -n 4 ./test_c_io 1 1000
mpiexec -n 4 ./test_c_io 2 500
mpiexec -n 4 ./test_c_io 3 500

mpiexec -n 4 ./test_cpp_io 1 1000
mpiexec -n 4 ./test_cpp_io 2 500
mpiexec -n 4 ./test_cpp_io 3 500

mpiexec -n 4 ./test_f90_io 1 1000
mpiexec -n 4 ./test_f90_io 2 500
mpiexec -n 4 ./test_f90_io 3 500
