
# compilers
F90		= mpif90
CC		= mpicc
CXX		= mpic++
xCC		= gcc
xCXX		= g++

# compiler options
#

#-- no debug
FFLAGS		= -c -O3 -DNDEBUG
CFLAGS		= -c -O3 -DNDEBUG -DDSFMT_MEXP=19937
CPPFLAGS	= -c -O3 -DNDEBUG -DDSFMT_MEXP=19937

#-- debug
# FFLAGS	= -c -O0 -g -DDEBUG
# CFLAGS	= -c -O0 -g -DDEBUG -DDSFMT_MEXP=19937
# CPPFLAGS	= -c -O0 -g -DDEBUG -DDSFMT_MEXP=19937

#-- SSE2
CFLAGS		+= -DHAVE_SSE2
CPPFLAGS	+= -DHAVE_SSE2


F90FLAGS	= $(FFLAGS) -ffree-form

LFLAGS		= 
ARFLAGS		= 

NTL_INC		= -I$(HOME)/ntl-6.1.0/include
NTL_LIB		= -I$(HOME)/ntl-6.1.0/src -lntl
